Subject: bug#24538: 25.1; 25.1: load-library js reports error: defconst: Symbol’s value as variable is void: sgml-name-re

From: Noam Postavsky <[email-masked]>
Date: Mon, 26 Sep 2016 15:31:08 -0400

tag 24538 = notabug
close 24538
quit

On Mon, Sep 26, 2016 at 3:12 PM, Milan Zimmermann
<[email-masked]> wrote:
> I can confirm this issue is related to OpenSUSE. I am on OpenSUSE, and
> had, a long time ago, installed a OpenSUSE package "xslide" (via
> Yast). This pulled in another package named "psgml". Uninstalling
> xslide and psgml, the problem is gone. I suppose I need to file this
> as an OpenSUSE bug instead, although I do not fully understand the
> interaction of "psgml" and the emacs built-in  sgml-mode.

Ah, psgml.el does (provide 'sgml-mode) which stops sgml-mode from
getting loaded.

https://sourceforge.net/p/psgml/code/ci/v1.3.2/tree/lisp/psgml.el#l1638

> Thanks for the follow up, please go ahead and mark this issue as not a
> bug from emacs end.

Done.